LaTeX API
API referenceJobs

List your recent jobs

GET
/v1/jobs

Authorization

bearerAuth
headerAuthorizationBearer <token>

A personal API token (lta_...) from the dashboard or latex-api auth login. Also accepted in the X-API-Key header.

Query Parameters

limit?integer
Range1 <= value <= 100

Response Body

Jobs, newest first

application/json
  1. response
jobs*array<>
Example Request
curl -X GET 'https://latex-api.crafter.run/v1/jobs'
Example Response200
{  "jobs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "queued",      "mode": "sync",      "engine": "pdflatex",      "entrypoint": "string",      "templateId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "startedAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "options": {        "timeoutMs": 0,        "bibliography": "auto",        "webhookUrl": "string"      },      "result": {        "cached": true,        "durationMs": 0,        "exitCode": 0,        "errors": 0,        "warnings": 0,        "pages": 0,        "pdfBytes": 0,        "pdfUrl": "string",        "logUrl": "string",        "diagnostics": [          {            "severity": "error",            "message": "string",            "file": "string",            "line": 0,            "context": "string",            "source": "string"          }        ]      },      "error": {        "reason": "compile_failed",        "message": "string"      },      "links": {        "self": "string",        "events": "string",        "pdf": "string",        "log": "string"      }    }  ]}